%define stable %([ "`echo %{version} |cut -d. -f3`" -ge 80 ] && echo -n un; echo -n stable)
%define major 5

Name:		layer-shell-qt
Version:	5.27.11
Release:	%mkrel 1
Summary:	Qt component to allow applications to make use of the Wayland wl-layer-shell protocol
Group:		Graphical desktop/KDE5
License:	GPLv2
URL:		https://projects.kde.org/projects/kde/kdemultimedia/libkcompactdisc
Source0:	http://download.kde.org/%{stable}/plasma/%{version}/%{name}-%{version}.tar.xz
BuildRequires: lib64qt5xkbcommonsupport-static-devel

%description
Qt component to allow applications to make use of the Wayland wl-layer-shell protocol

%files
%dir %{_libdir}/qt5/plugins/wayland-shell-integration
%{_libdir}/qt5/plugins/wayland-shell-integration/liblayer-shell.so
%{_libdir}/libLayerShellQtInterface.so.%{major}*

#------------------------------------------------------------------------------
%define devname %mklibname layershellqtinterface -d

%package -n %{devname}
Summary:	Devel stuff for %{name}
Group:		Graphical desktop/KDE5
Requires:	%{name}

%description -n %{devname}
Qt component to allow applications to make use of the Wayland wl-layer-shell protocol

%files -n %{devname}
%{_libdir}/libLayerShellQtInterface.so
%{_includedir}/LayerShellQt
%{_libdir}/cmake/LayerShellQt

#------------------------------------------------------------------------------

%prep
%setup -q


%build
export LDFLAGS="-L/usr/lib64/libglvnd/ $LDFLAGS"
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -DSYSCONF_INSTALL_DIR="%_sysconfdir" 
%ninja_build

%install
%ninja_install -C build

%changelog
* Thu Mar 14 2024 tex - 5.27.11-1pclos2024
- new version

